package ucot.input;

import java.net.URL;
import java.util.Vector;

import org.junit.Test;

import junit.framework.Assert;

public class UseCase {

	private Vector<String> useCaseSteps;
	private URL url;
	private String name;
	
    public UseCase() {
        useCaseSteps = new Vector<String>();
        url = null;
    }
    
	public int getStepCount() {
		return useCaseSteps.size();
	}
	
	public String getStep(int index) {
		return useCaseSteps.get(index);
	}
	
	public void clear()	{
		useCaseSteps.clear();
	}
	
	public void addStep(String a) {
		useCaseSteps.add(a);
	}	
	
	public URL getUrl() {
		return url;
	}
	
	public void setUrl(URL a) {
		url = a;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String a) {
		name = a;
	}
	
	
	public String toString() {
		String result = name + "\n---\n";
		for(int i=0;i<getStepCount();i++) {
			result+=Integer.toString(i) + ". " + getStep(i) + "\n";
		}
		
		return result;
	}
}
