package ucot.parser;

import java.util.List;
import java.util.Vector;

public class Sentence {

    private List<Word> words;
    
    public Sentence() {
         this.words = new Vector<Word>();
    }

    public void addWord(Word w) {
        words.add(w);
    }
    
    public List<Word> getWords(){
        List<Word> ret = new Vector<Word>();
        ret.addAll(words);
        return ret;
    }


    public String toString() {
        StringBuffer buffer = new StringBuffer();
        buffer.append("{SENTENCE: ");
        for(Word word : words){
            buffer.append("(");
            buffer.append(word);
            buffer.append(") ");
        }
        buffer.append("}");
        return buffer.toString();
    }
    
    
}
